from snek.system.model import BaseModel, ModelField


class PushRegistrationModel(BaseModel):
    user_uid = ModelField(name="user_uid", required=True)
    endpoint = ModelField(name="endpoint", required=True)
    key_auth = ModelField(name="key_auth", required=True)
    key_p256dh = ModelField(name="key_p256dh", required=True)
